package com.example.assignment1;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;

import android.os.Bundle;
import android.view.Menu;
import android.widget.TextView;

public class dataActivity extends AppCompatActivity {

    protected Toolbar myToolbar;

    protected TextView firstCounter;
    protected TextView secondCounter;
    protected TextView thirdCounter;

    protected TextView currentCounter;
    protected CounterButtonSharedPreferenceHelper counterButtonSharedPrefHelper;

    protected CountSharedPreferenceHelper countSharedPrefHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_data);

        myToolbar = (Toolbar) findViewById(R.id.data_toolbar);
        firstCounter = findViewById(R.id.counter_1_data_name);
        secondCounter = findViewById(R.id.counter_2_data_name);
        thirdCounter = findViewById(R.id.counter_3_data_name);
        currentCounter = findViewById(R.id.allCounter);

        counterButtonSharedPrefHelper = new CounterButtonSharedPreferenceHelper(dataActivity.this);
        countSharedPrefHelper = new CountSharedPreferenceHelper(dataActivity.this);

        setSupportActionBar(myToolbar);

        assert getSupportActionBar() != null;
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);   //show back button
    }

    @Override
    protected void onStart(){
        super.onStart();

        firstCounter.setText(counterButtonSharedPrefHelper.getCounterButtonName(CounterButton.FIRST));
        secondCounter.setText(counterButtonSharedPrefHelper.getCounterButtonName(CounterButton.SECOND));
        thirdCounter.setText(counterButtonSharedPrefHelper.getCounterButtonName(CounterButton.THIRD));
        currentCounter.setText(String.format(Integer.toString(countSharedPrefHelper.getCurrentCount())));
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.data_activity_menu, menu);
        return true;
    }
}