package com.example.assignment1;

import android.content.Context;
import android.content.SharedPreferences;

public class CountSharedPreferenceHelper {

    private SharedPreferences sharedPreferences;

    public CountSharedPreferenceHelper(Context context) {
        sharedPreferences = context.getSharedPreferences("Count", Context.MODE_PRIVATE);
    }

    public void saveMaxCount(int max_count) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putInt("MaximumCount", max_count);
        editor.apply();
    }

    public int getMaxCount() {
        return sharedPreferences.getInt("MaximumCount", 5);
    }

    public void saveCurrentCount(int current_count) {
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putInt("CurrentCount", current_count);
        editor.apply();
    }

    public int getCurrentCount() {
        return sharedPreferences.getInt("CurrentCount", 0);
    }
}
